<?xml version="1.0" encoding="GBK"?>
<!DOCTYPE struts PUBLIC
    "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
    "http://struts.apache.org/dtds/struts-2.0.dtd">
<struts>
	<constant name="struts.action.extension" value="htm,do"></constant>
	<constant name="struts.multipart.saveDir" value="/tmp" />
	<constant name="struts.multipart.maxSize" value="31457280"/>
	<constant name="struts.locale" value="zh_CN" />
	<constant name="struts.i18n.encoding" value="UTF-8" />
	<constant name="struts.objectFactory" value="spring"></constant>
	<constant name="struts.enable.DynamicMethodInvocation" value="true" />
	<constant name="struts.devMode" value="true" />
	<package name="struts2-action-config" extends="struts-default">
		<action class="logAction" name="logAction"></action>
		<action class="loginAction" name="loginAction"></action>
		<action class="menuRoleAction" name="menuRoleAction"></action>
		<action class="menuConfigAction" name="menuConfigAction"></action>
		<action class="xtpzyhAction" name="xtpzyhAction"></action>
		<action class="sbtdjqqxAction" name="sbtdjqqxAction"></action>
		<action class="sbtdtpqxAction" name="sbtdtpqxAction"></action>
			
		<!-- 联勤指挥/start -->
		<action class="szMapHttpAction" name="szMapHttpAction"></action>
		<action class="clgpssjAction" name="clgpssjAction"></action>
		<action class="clxsjlAction" name="clxsjlAction"></action>
		<action class="cllkxxAction" name="cllkxxAction"></action>
		<action class="clxxgpsAction" name="clxxgpsAction"></action>
		
		<action class="lqcjdAction" name="lqcjdAction"></action>
		<action class="lqjjdAction" name="lqjjdAction"></action>
		<action class="lqjjfkdAction" name="lqjjfkdAction"></action>
		<action class="lqjqtjxxAction" name="lqjqtjxxAction"></action>
		<action class="lqjyxxAction" name="lqjyxxAction"></action>
		<action class="lqxqAction" name="lqxqAction"></action>
		<action class="yaglAction" name="yaglAction"></action>
		<action class="ptyhgpsAction" name="ptyhgpsAction"></action>
		<!-- 联勤指挥/end -->	
		
		<!-- 设备通道信息/start -->
		<action class="ptyhcdjsAction" name="ptyhcdjsAction"></action>
		<action class="ptcdjsAction" name="ptcdjsAction"></action>
		<action class="ptxzsAction" name="ptxzsAction"></action>		
		<action class="ptdlfwAction" name="ptdlfwAction"></action>
		<action class="ptdlfwzAction" name="ptdlfwzAction"></action>
		<action class="ptlxccqAction" name="ptlxccqAction"></action>
		<action class="ptlxccqzAction" name="ptlxccqzAction"></action>
		<action class="ptlxccqzglAction" name="ptlxccqzglAction"></action>
		<action class="sbtdspyzdAction" name="sbtdspyzdAction"></action>
		<!-- 设备通道信息/end -->
		<!-- 系统常量变化量/start -->
		<action class="xtclAction" name="xtclAction"></action>
		<action class="xtbhlAction" name="xtbhlAction"></action>
		<action class="xtbbxxAction" name="xtbbxxAction"></action>
		<action class="xtyhczrzAction" name="xtyhczrzAction"></action>
		<!-- 系统常量变化量/end -->
		<!-- 用户机构权限/start -->
		<action class="ptyhAction" name="ptyhAction"></action>
		<action class="ptyhbmAction" name="ptyhbmAction"></action>
		<action class="ptyhbmscbfAction" name="ptyhbmscbfAction"></action>
		<action class="ptyhcdjsAction" name="ptyhcdjsAction"></action>
		<action class="ptyhczrzAction" name="ptyhczrzAction"></action>
		<action class="ptyhhmdlAction" name="ptyhhmdlAction"></action>
		<action class="PtyhscbfAction" name="PtyhscbfAction"></action>
		<action class="ywalarmsmslogAction" name="ywalarmsmslogAction"></action>
		<!-- 用户机构权限/end -->
		
		<!-- 监控运维/start -->
		<action class="ywmachineinfoAction" name="ywmachineinfoAction"></action>
		<action class="ywmachinecpuAction" name="ywmachinecpuAction"></action>
		<action class="ywmachineharddiskAction" name="ywmachineharddiskAction"></action>
		<action class="ywmachinememoryAction" name="ywmachinememoryAction"></action>
		<!-- 监控运维/end -->
		
		<!-- 运维监控集合/start -->
		<action class="ywvideochannelsetAction" name="ywvideochannelsetAction"></action>
		<action class="ywvideochannelsetlistAction" name="ywvideochannelsetlistAction"></action>
		<action class="sbtdspsrAction" name="sbtdspsrAction"></action>
		<action class="ywvideosyncaccountAction" name="ywvideosyncaccountAction"></action>
		<action class="ywvideosyncchannelAction" name="ywvideosyncchannelAction"></action>
		<!-- 运维监控集合/end -->
		<!-- 运维监控任务/start -->
		<action class="ywvideotaskAction" name="ywvideotaskAction"></action>
		<action class="ywvideotaskbysetlistAction" name="ywvideotaskbysetlistAction"></action>
		<action class="ywvideotaskruleAction" name="ywvideotaskruleAction"></action>
		<action class="ywvideotaskrunsetAction" name="ywvideotaskrunsetAction"></action>
		<action class="ywvideotaskrunresultAction" name="ywvideotaskrunresultAction"></action>
		<action class="ywvideotaskcatalogAction" name="ywvideotaskcatalogAction"></action>
		<action class="ywvideotaskrunresulthistoryAction" name="ywvideotaskrunresulthistoryAction"></action>
		<!-- 运维监控任务/end -->
		
		<!-- 状态/start -->
		<action class="ywvideocurrentstateAction" name="ywvideocurrentstateAction"></action>
		<action class="ywmachinecurrentstateAction" name="ywmachinecurrentstateAction"></action>
		<!-- 状态/end -->
		
		<!-- 运维应用系统信息/start -->
		<action class="ywsoftwarelistAction" name="ywsoftwarelistAction"></action>
		<action class="ywsoftwareinfoAction" name="ywsoftwareinfoAction"></action>
		
		<!-- 运维应用系统信息/end -->
		
		<!-- 告警任务/start -->
		<action class="gjbhxxAction" name="gjbhxxAction"></action>
		<action class="ywalarmruleinfoAction" name="ywalarmruleinfoAction"></action>
		<action class="ywalarmrulefordeviceAction" name="ywalarmrulefordeviceAction"></action>
		<action class="ywalarmrulefortimeAction" name="ywalarmrulefortimeAction"></action>
		<action class="ywalarmrulelinksmsAction" name="ywalarmrulelinksmsAction"></action>
		<action class="ywalarmeventcodeAction" name="ywalarmeventcodeAction"></action>
		<!-- 告警任务/end -->
		
		<!-- 服务器运维/start -->
		<action class="ywmachinestatusinfoAction" name="ywmachinestatusinfoAction"></action>
		<!-- 服务器运维/end -->
		
		<!-- 资产管理   start-->
		<action class="ywarchivedepartmentAction" name="ywarchivedepartmentAction"></action>
		<action class="ywarchivevideoinfoAction" name="ywarchivevideoinfoAction"></action>
		
		<!-- 资产管理   end-->
		
		<!-- 告警台/start -->
		<action class="ywalarmeventinfoAction" name="ywalarmeventinfoAction"></action>
		<!-- 告警台/end -->
		
		<!-- 工单管理/start -->
		<action class="ywrepairjobinfoAction" name="ywrepairjobinfoAction"></action>
		<action class="ywrepairjoboplogAction" name="ywrepairjoboplogAction"></action>
		<!-- 工单管理/end -->

		<!-- 公司信息管理/start -->
		<action class="ywarchivecompanyAction" name="ywarchivecompanyAction"></action>
		<action class="ywarchivecompanypersonAction" name="ywarchivecompanypersonAction"></action>
		<!-- 公司信息管理/end -->
		
		<!-- 运维概况 /start -->
		<action class="ywrecordcurrentstateAction" name="ywrecordcurrentstateAction"></action>
		<action class="ywmachinehistorystateAction" name="ywmachinehistorystateAction"></action>
		<!-- 运维概况 /end -->
		<!-- 历史概况 /start -->
		<action class="ywvideohistorystateAction" name="ywvideohistorystateAction"></action>
		<!-- <action class="ywrecordhistorystateAction" name="ywrecordhistorystateAction"></action> -->
		<!-- 历史概况 /end -->
		
		<!-- 运维用户权限关联表   	 start -->
		<action class="ywuserrolerelationAction" name="ywuserrolerelationAction"></action>
		<!-- 运维用户权限关联表   	 end-->
		<!-- 运维统计管理 /start -->
		<action class="ywcountlalcollectAction" name="ywcountlalcollectAction"></action>
		<action class="ywcountvideoappraiseAction" name="ywcountvideoappraiseAction"></action>
		<action class="ywcountarearecordAction" name="ywcountarearecordAction"></action>
		<!-- 运维统计管理 /end -->
		
		<action class="ywcountvideoarchiveAction" name="ywcountvideoarchiveAction"></action>
		
		<!-- 统计        start-->
		<action class="ywalarmcountAction" name="ywalarmcountAction"></action>	<!-- 告警统计 -->
		<action class="yworderinfocountAction" name="yworderinfocountAction"></action>	<!-- 工单情况统计 -->
		<action class="ywcountuserrepairjobAction" name="ywcountuserrepairjobAction"></action>	<!-- 工单情况统计 -->
		
		<!-- 统计        end-->
		
		<!-- 安全帽信息 -->
		<action class="gdwdaqmxxAction" name="gdwdaqmxxAction"></action>

		<!-- 路网 -->
		<action class="trafficroadgridinfoAction" name="trafficroadgridinfoAction"></action>
		<!-- szmap -->
		<action class="bigScreenAction" name="bigScreenAction"></action>
		<action class="trafficroadinfoAction" name="trafficroadinfoAction"></action>
		<action class="trafficdevicerelateAction" name="trafficdevicerelateAction"></action>
		<action class="trafficaccidentinfoAction" name="trafficaccidentinfoAction"></action>
		<action class="trafficplanmanageAction" name="trafficplanmanageAction"></action>

		<!-- 南海运维基础数据管理 start -->
		<action class="nhywjtbzglAction" name="nhywjtbzglAction"></action>
		<action class="nhywjtledydpglAction" name="nhywjtledydpglAction"></action>
		<action class="nhywjtsbbhglAction" name="nhywjtsbbhglAction"></action>
		<action class="nhywjtxhdglAction" name="nhywjtxhdglAction"></action>
		<action class="sbcjAction" name="sbcjAction"></action>
		<action class="sbxxAction" name="sbxxAction"></action>
		<action class="sbmbAction" name="sbmbAction"></action>
		<action class="nhywjtbxglAction" name="nhywjtbxglAction"></action>
		<action class="nhywjthlglAction" name="nhywjthlglAction"></action>
		<action class="nhywjksbtzxxAction" name="nhywjksbtzxxAction"></action>
		<action class="nhywjtjzwxxbAction" name="nhywjtjzwxxbAction"></action>
		<!-- 南海运维基础数据管理 end -->
		
		<!-- 南海运维 -->
			<!-- 信息配置管理  start-->
		<action class="nhywxmglwdxxAction" name="nhywxmglwdxxAction"></action>	<!-- 项目关联文档信息 -->
		<action class="nhywxmxxAction" name="nhywxmxxAction"></action>	<!-- 项目信息 -->	
			<!-- 信息配置管理  end-->
			
		<action class="nhywsbcsglAction" name="nhywsbcsglAction"></action>	<!-- 服务商管理-->
		<action class="nhywfwsglAction" name="nhywfwsglAction"></action>	<!-- 设备厂商管理  -->
		
		<action class="nhywgysxxAction" name="nhywgysxxAction"></action>		 <!-- 供应商信息管理 -->
		<action class="nhywgysglryxxAction" name="nhywgysglryxxAction"></action> <!-- 供应商关联人员信息  -->
		<action class="nhywcpxhglAction" name="nhywcpxhglAction"></action> 		 <!-- 产品型号管理  -->
		
		<action class="nhywgyssbyjdAction" name="nhywgyssbyjdAction"></action> 		 <!-- 供应商设备移交单  -->
		<action class="nhywgyssbyjdzjkAction" name="nhywgyssbyjdzjkAction"></action> <!-- 供应商设备移交单关联电子监控设备  -->	
		<action class="nhywgyssbyjjtsbAction" name="nhywgyssbyjjtsbAction"></action> <!-- 供应商设备移交单关联交通设备  -->	
		
		<!-- 南海运维 运维日志管理 -->
		<action class="nhywjtssxcdAction" name="nhywjtssxcdAction"></action>	<!-- 交通设施巡查单  -->
		<action class="nhywjtssxcsbAction" name="nhywjtssxcsbAction"></action>	<!-- 交通设施巡查设备  -->
		<action class="uploadPictureAction" name="uploadPictureAction" >
			 <!-- <param name="savePath">/image</param> -->
			<!--  <interceptor-ref name="fileUpload">
			 	<param name="maximumSize">31457280</param>
			 </interceptor-ref> -->
		</action>	<!-- 交通设施巡查 文件上传  -->
		
		<!-- 南海运维 -->
	</package>
	
	<!--  <package name="presetPoint" namespace="/presetPoint" extends="struts-default">
        访问控制
        <action name="index" class="cn.im.trafficalarm.action.MonitorMovedAction">
            
        </action>
         <action name="/*" class="cn.im.trafficalarm.action.MonitorMovedAction" method="{1}" >
           
        </action>
    </package> -->
	
	
</struts>
